Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.plugin.rendering
Class ValueOptionAdapter

    java.lang.Object
      com.ibm.workplace.wcm.api.plugin.rendering.ValueOptionAdapter

All Implemented Interfaces:
  Localized, ValueOption

Direct Known Subclasses:
  ValueOptionImpl

    public abstract class ValueOptionAdapter

extends java.lang.Object
implements ValueOption

Adapter implementation of `ValueOption`.

For many `RenderingPluginParameter`s, this will be the easiest way to define the `ValueOption`s

This class extends `Localized` which is documented in the WebSphere Portal documentation. The `ValueOption.getTitle(Locale)` and `ValueOption.getDescription(Locale)` methods should return a translated title and description for the plugin.

Since:
  8.0.0.1 CF9
Note:

  This interface is designed to be implemented by clients.

Constructor Summary
`ValueOptionAdapter(java.lang.String name)` Constructor

Method Summary
`java.lang.String` | `getName()` Returns the name for this value option.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.ibm.workplace.wcm.api.plugin.rendering.ValueOption
`getDescription, getTitle`

Methods inherited from interface com.ibm.portal.Localized
`getLocales`

Constructor Detail

### ValueOptionAdapter

    public ValueOptionAdapter(java.lang.String name)

  Constructor

  Parameters:
    `name` - Value option name

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `ValueOption`
  Returns the name for this value option. This is the `String` that should be used as the value itself. Therefore, this should be a short `String` containing only alphanumeric characters. It must not contains spaces or special characters.

  Note: If the name is changed, this will break the tags where the previous name of the value option is used.

  Specified by:
    `getName` in interface `ValueOption`
  Returns:
    Name of the value option
  See Also:
    `ValueOption.getName()`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD